![Template](./img/logo-Template.png)

# Certificat depuis une autorité de certificat

# Explication

# Utilisation

## Certificat Autority

Depuis le serveur d'autorité, faire se positionner dans le dossier

    cd /etc/ssl/CA

Générons le fichier de clé principal

    openssl genpkey -algorithm RSA -out ca.key -aes256

Saisir 2 fois la passe phrase

    pass phrase
    pass phrase

Générons le certificats principal

    openssl req -new -x509 -days 3650 -key ca.key -out ca.crt

Nous saissisons la pass phrase

    pass phrase

Saisir les information

    FR
    Nord
    Roubaix
    Tips-Of-Mine
    Tips-Of-Mine IT
    Tips-Of-Mine Certificate Authority
    admin@tips-of-mine.fr

Nous pouvons extraire le certificat avec Winscp par exemple

## Windows

    mmc

Ajoute certificats > Ordinateur

Autorités de certification racines de confiance > Certificats

Importer ca.crt

## Script installation

    install.sh

## Script : certify.sh

Depuis la serveur distant lancer

    certify.sh

## Service

    nohup sh watch-csr.sh &

# More info
- more information on the website [Tips-Of-Mine](https://www.tips-of-mine.fr/)

# Buy me a coffe
<a href='https://ko-fi.com/R5R2KNI3N' target='_blank'><img height='36' style='border:0px;height:36px;' src='https://storage.ko-fi.com/cdn/kofi4.png?v=3' border='0' alt='Buy Me a Coffee at ko-fi.com' /></a>